<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'BySolutionIntro',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
    offset: {
      type: Number,
      required: false,
      default: 0,
    },
  },
});
</script>

<template>
  <section
    class="by-solution-intro slp-pt-96 slp-pb-64"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpContainer>
      <SlpRow>
        <SlpColumn v-if="offset !== 0" :cols="offset" />
        <SlpTypography
          tag="p"
          variant="heading4"
          class="by-solution-intro__header"
        >
          <span class="by-solution-intro__highlight">{{
            data.text.highlight
          }}</span>
          {{ data.text.description }}
        </SlpTypography>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.by-solution-intro {
  &__header {
    max-width: $breakpoint-md;
  }

  &__highlight {
    font-weight: $font-weight-bold;
  }
}
</style>
